package DB;
public class DataTypeHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_enum_tc(DB.DataTypeHelper.id(),"DataType",new String[]{"TypeNull","TypeString","TypeShort","TypeInteger","TypeDouble","TypeDecimal","TypeTime","TypeDate","TypeDateTime","TypeText","TypeBinary"});
	public DataTypeHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, DB.DataType s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static DB.DataType extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:DB/DataType:1.0";
	}
	public static DataType read(org.omg.CORBA.portable.InputStream in)
	{
		return DataType.from_int( in.read_long());
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, DataType s)
	{
		out.write_long(s.value());
	}
}
